Bug 492762 - crda package is missing dependency for iw
crda package is missing dependency for iw
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 07:19 EDT by Stefan Becker
Modified: 2009-04-01 07:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 493125 (view as bug list)
Environment:
Last Closed: 2009-04-01 07:12:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2009-03-29 07:19:58 EDT
Description of problem:

Latest crda package includes setregdomain which calls iw:

$ fgrep iw /sbin/setregdomain
        iw reg set $COUNTRY
iw reg set $COUNTRY

But crda package doesn't have a dependency on iw so it is not installed automatically:

$ rpm -q crda --requires
/bin/sh
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libgcrypt.so.11()(64bit)
libnl.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
udev

Therefore setregdomain fails with an error and the regulatory domain is not set correctly.

Version-Release number of selected component (if applicable):
crda-1.0.1_2009.03.09-8.fc11.x86_64

How reproducible:
Always
Comment 1 Stefan Becker 2009-04-01 07:12:55 EDT
Retested with crda-1.0.1_2009.03.09-9.fc11.x86_64 from Koji.

Note You need to log in before you can comment on or make changes to this bug.